Subject: Re: bug#70796: 30.0.50; bug-reference-mode leading to constant GCing

From: Gerd Möllmann <[email-masked]>
Date: Sat, 15 Jun 2024 10:07:43 +0200

Eli Zaretskii <[email-masked]> writes:

> Ping!  Can we make some further progress here?
>
>> From: Gerd Möllmann <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  Ihor Radchenko
>>  <[email-masked]>
>> Date: Sat, 01 Jun 2024 11:05:10 +0200
>> 
>> "Tassilo Horn" <[email-masked]> writes:
>> 
>> > Yes, right, x86 on GNU/Linux.
>> >
>> > Am Sa, 25. Mai 2024, um 09:58, schrieb Gerd Möllmann:
>> >> Tassilo Horn <[email-masked]> writes:
>> >>
>> >>>>> FWIW, I think goto-address-mode (buttonizing URLs and email addresses)
>> >>>>> will probably have the same effect, at least the code looks pretty
>> >>>>> similar.  Can you confirm?
>> >>>>
>> >>>> Yes, goto-address-mode has the same effect.
>> >>>
>> >>> Alright.  Then you can probably even simplify the issue with
>> >>>
>> >>> (defun i-do-nothing (start end) nil)
>> >>>
>> >>> and then M-: (jit-lock-register #'i-do-nothing) RET in some buffer,
>> >>> right?
>> >>
>> >> Yes, same problem. In a native build with current HEAD,
>> >> 984fb346fdf0d5ec9eaea6126aad0bea8823b8a3.
>> >>
>> >> As I mentioned, no problem without native compilation. I guess you have
>> >> an x86 cpu? Just to make sure...
>> 
>> Another data point: when building with native-comp-speed 0, the
>> problem is also gone.
>> 

No progress in this matter from my side. I don't know what's going on.